import { defineStore } from "pinia";

export const useMainStore: any = defineStore<"main", Store.MainStoreState>(
  "main",
  {
    state() {
      return {
        loginResult: null,
        systemUserInfo: null,
        loading: {
          status: false,
          message: "加载中...",
        },
      };
    },
    actions: {
      switchLoading(bool?: boolean, message?: any) {
        this.loading.status = bool || false;
        this.loading.message = message || "加载中...";
      },
    },
  }
);
